## flexnbd 0.1.6

=== debian/changelog ===
flexnbd (0.1.6) stable; urgency=medium

  * Remove lots of per-cpu compiler flags, notably march=native.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 13 Apr 2017 12:48:23 +0100

flexnbd (0.1.5) stable; urgency=medium

  * Switched to native packaging.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 23 Jan 2017 13:51:58 +0000

flexnbd (0.1.5-1) stable; urgency=medium

  * This fixes the compiler warning pointer-to-int-cast in serve.c.
  * Fix up "wrong" handle type from char* to uint64_t in check_readwrite test.
  * fix check_bitset test on 32-bit platforms.
  * Skip large file test on 32-bit platforms.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 07 Oct 2016 12:25:36 +0100

flexnbd (0.1.4-1) stable; urgency=medium

  [ Michel Pollet ]
  * Simplified Makefile
  * Makefile: don't include *.d's before 'all'

  [ Patrick J Cherry ]
  * Added net-tools to the build-deps for testing
  * Fixed "double-definition of constants" warning
  * Use a BINARY encoded string when doing read/write comparisons.
  * Moved all tasks from Rake to Make
  * Added dpkg-dev to build-deps
  * Updated manpages, replace a2x with txt2man
  * Fixed up internal test names (copy/pasta?)
  * Fixed check_readwrite test to pass correct handle to fd_write_reply
  * Fix up nbdtypes test to correctly use htobe64
  * Update Makefile to specify dependencies properly for tests

  [ James F. Carter ]
  * update tests to reflect changes in handle storage
  * run tests in gitlab-ci
  * force binary encoding in a ruby2.1-compatible way
  * add missing deps on server object files when building check binaries
  * remove unnecessary step in gitlab-ci
  * failures in make check now result in an error

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 06 Oct 2016 15:49:33 +0100

flexnbd (0.1.3-1) stable; urgency=medium

  [ Michel Pollet ]
  * Close socket fix, might relate to migration crashing
  * Attempt at fixing bind() bug
  * Simplified NBD handle comparisons
  
  [ Patrick J Cherry ]
  * Non-maintainer upload.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 04 Oct 2016 21:20:27 +0100

flexnbd (0.1.2-1) stable; urgency=medium

  * Non-maintainer upload.
  * Updated packaging.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 30 Aug 2016 21:14:05 +0100

flexnbd (0.1.1-455) stable; urgency=low

  * flexnbd: We only require 1/8th of the memory we allocate for bitsets (bits vs. bytes confusion) [r455]

 -- nick <nick@bytemark.co.uk>  Wed, 13 May 2015 09:25:09 +0100

flexnbd (0.1.1-454) stable; urgency=low

  * Makefile: Add -lm to LLDFLAGS [r454]

 -- nick <nick@bytemark.co.uk>  Wed, 01 Apr 2015 12:39:07 +0100

flexnbd (0.1.1-453) stable; urgency=low

  * Moved the server-specific files into src/server [r453]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 11 Mar 2014 11:05:43 +0000

flexnbd (0.1.1-452) stable; urgency=low

  * Remove the proxy's dependency on flexnbd.h [r452]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 11 Mar 2014 10:37:00 +0000

flexnbd (0.1.1-451) stable; urgency=low

  * Tighten up some variable scopes. [r451]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 11 Mar 2014 10:24:29 +0000

flexnbd (0.1.1-450) stable; urgency=low

  * Avoid a potential null pointer dereference [r450]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 11 Mar 2014 09:57:19 +0000

flexnbd (0.1.1-449) stable; urgency=low

  * Fix a harmless buffer overflow [r449]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 11 Mar 2014 09:49:25 +0000

flexnbd (0.1.1-448) stable; urgency=low

  * Merge [r448]

 -- Alex Young <alex@bytemark.co.uk>  Thu, 27 Feb 2014 16:18:17 +0000

flexnbd (0.1.1-447) stable; urgency=low

  * Replace off64_t with uint64_t where it makes sense to do so. [r447]

 -- Alex Young <alex@bytemark.co.uk>  Thu, 27 Feb 2014 16:04:25 +0000

flexnbd (0.1.1-446) stable; urgency=low

  * Allow subset reads in prefetch_contains and prefetch_offset [r446]

 -- Alex Young <alex@bytemark.co.uk>  Thu, 27 Feb 2014 14:54:18 +0000

flexnbd (0.1.1-445) stable; urgency=low

  * Automated merge with ssh://dev/flexnbd-c [r445]

 -- nick <nick@bytemark.co.uk>  Thu, 27 Feb 2014 14:33:01 +0000

flexnbd (0.1.1-444) stable; urgency=low

  * Cork/uncork in mirror - socket_connect already sets nodelay [r444]

 -- nick <nick@bytemark.co.uk>  Thu, 27 Feb 2014 14:32:54 +0000

flexnbd (0.1.1-443) stable; urgency=low

  * Avoid some false positives [r443]

 -- nick <nick@bytemark.co.uk>  Thu, 27 Feb 2014 14:32:26 +0000

flexnbd (0.1.1-442) stable; urgency=low

  * Proxy prefetch cache becomes a command-line argument. [r442]

 -- Alex Young <alex@bytemark.co.uk>  Thu, 27 Feb 2014 14:21:36 +0000

flexnbd (0.1.1-441) stable; urgency=low

  * bitset: Allocate the right amount of memory [r441]

 -- nick <nick@bytemark.co.uk>  Thu, 27 Feb 2014 12:57:09 +0000

flexnbd (0.1.1-440) stable; urgency=low

  * Cherry-pick extra toolchain Makefile options [r440]

 -- Alex Young <alex@bytemark.co.uk>  Wed, 26 Feb 2014 15:56:41 +0000

flexnbd (0.1.1-439) stable; urgency=low

  * Merge [r439]

 -- Alex Young <alex@bytemark.co.uk>  Wed, 26 Feb 2014 15:37:44 +0000

flexnbd (0.1.0-438) stable; urgency=low

  * Apply Michel's tidy-ups [r438]

 -- Alex Young <alex@bytemark.co.uk>  Wed, 26 Feb 2014 15:19:03 +0000

flexnbd (0.1.1-437) stable; urgency=low

  * Pull back the changelog generation to the simplest thing that can possibly work [r437]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 25 Feb 2014 17:24:25 +0000

flexnbd (0.1.1-436) stable; urgency=low

  * Tweak changelog generation not to skip commits since last tag [r436]

 -- Alex Young <alex@bytemark.co.uk>  Tue, 25 Feb 2014 16:35:51 +0000

flexnbd (0.1.1-435) stable; urgency=low

  * proxy: Turn on TCP_CORK [r435]

 -- nick <nick@bytemark.co.uk>  Tue, 25 Feb 2014 16:00:48 +0000

flexnbd (0.1.1-434) stable; urgency=low

  * proxy: Turn on TCP_NODELAY for the proxy->upstream leg [r434]

 -- nick <nick@bytemark.co.uk>  Tue, 25 Feb 2014 15:59:05 +0000

flexnbd (0.1.1-433) stable; urgency=low


