## flexnbd 0.1.8~29166.gbp884a71

=== debian/changelog ===
flexnbd (0.1.8~29166.gbp884a71) UNRELEASED; urgency=medium

  ** SNAPSHOT build @884a7147448f734247e20792766dadaaebe98acc **

  [ James F. Carter ]
  * apply tcp keepalive to serving sockets
  * remember how || works in C
  * whitespace fix

  [ root ]

 -- root <root@runner-32952c23-project-311-concurrent-3>  Wed, 10 Jan 2018 13:55:24 +0000

flexnbd (0.1.7) stable; urgency=medium

  * Return bytes_left in migration statistics.

 -- Chris Elsworth <chris.elsworth@bytemark.co.uk>  Fri, 14 Jul 2017 17:00:38 +0100
