## flexnbd 0.1.8~29299.fa75de0

=== debian/changelog ===
flexnbd (0.1.8~29299.fa75de0) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33)

 -- James Carter <james.carter@bytemark.co.uk>  Wed, 10 Jan 2018 13:57:10 +0000
