## flexnbd 0.1.8~29307.61940bd

=== debian/changelog ===
flexnbd (0.1.8~29307.61940bd) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33)
  * Add a context to logs to make debugging problems easier (#34, !34)

 -- James Carter <james.carter@bytemark.co.uk>  Thu, 11 Jan 2018 10:05:35 +0000
