## flexnbd 0.2.0~32563.c423900

=== debian/changelog ===
flexnbd (0.2.0~32563.c423900) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  [ James Carter ]
  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33,
    !36)
  * Add a context to logs to make debugging problems easier (#34, !34)

  [ Chris Cottam ]
  * Increased NBD_MAX_SIZE from 1MB to 32MB for qemu 2.11 (!35)

  [ Patrick J Cherry ]
  * Added FLUSH and FUA support (!38) 

 -- James Carter <james.carter@bytemark.co.uk>  Thu, 11 Jan 2018 10:05:35 +0000
