=== debian/changelog ===
flexnbd (0.2.0~32984.5e9dbbd) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  [ James Carter ]
  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33,
    !36)
  * Add a context to logs to make debugging problems easier (#34, !34)

  [ Chris Cottam ]
  * Increased NBD_MAX_SIZE from 1MB to 32MB for qemu 2.11 (!35)

  [ Patrick J Cherry ]
  * Added FLUSH and FUA support (!38) 
  * Server returns ENOSPC in response to writes beyond the end of the
    filesystem, and EINVAL to unknown commands. (#36, !40)
  * Proxy passes all NBD protocol errors through to the client instead of
    disconnecting and retrying (#36, !40)

 -- James Carter <james.carter@bytemark.co.uk>  Thu, 11 Jan 2018 10:05:35 +0000
