## flexnbd 0.2.0~33721.2e17e89

=== tests/acceptance/ld_preloads/Makefile ===

SRC := $(wildcard *.c)
OBJS := $(SRC:%.c=%.o)

all: $(OBJS)

clean:
	$(RM) $(OBJS)

%.o: %.c
	gcc -shared -fPIC -ldl -o $@ $<

.PHONY: all clean
