## flexnbd 0.2.0~34443.623007b

=== debian/changelog ===
flexnbd (0.2.0~34443.623007b) UNRELEASED; urgency=medium
 
  **** SNAPSHOT BUILD ****

  [ James Carter ]
  * Set TCP keepalive on sockets so broken connections are reaped (#33, !33,
    !36)
  * Add a context to logs to make debugging problems easier (#34, !34)

  [ Chris Cottam ]
  * Increased NBD_MAX_SIZE from 1MB to 32MB for qemu 2.11 (!35)

  [ Patrick J Cherry ]
  * Added FLUSH and FUA support (!38) 
  * Server returns ENOSPC in response to writes beyond the end of the
    filesystem, and EINVAL to unknown commands. (#36, !40)
  * Proxy passes all NBD protocol errors through to the client instead of
    disconnecting and retrying (#36, !40)
  * Ignore ends of discs that stray outside of 512-byte sector sizes (!42). 
  * Tweak logging for readloop failures (!44)
  * Alter semantics of NBD_MAX_BLOCK_SIZE to remove struct size overheads when
    calculating if a request exceeds the max block size (!45)
  * Added tests for setting TCP_NODELAY on upstream-reconnections in the
    proxy, and refactored the other LD_PRELOAD tests (!43)
  * Clean up dead threads before calculating the number of connected clients
    on the status command (!46)

 -- James Carter <james.carter@bytemark.co.uk>  Thu, 11 Jan 2018 10:05:35 +0000
