## flexnbd 0.5.1~88883.gbpf03426

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DESTDIR?=/
 PREFIX?=/usr/local/bin
 INSTALLDIR=$(DESTDIR)/$(PREFIX)
-	
+
 ifdef DEBUG
 	CFLAGS_EXTRA=-g -DDEBUG
 	LDFLAGS_EXTRA=-g
