=== debian/changelog ===
flexnbd (0.5.1~88883.gbpf03426) UNRELEASED; urgency=medium

  ** SNAPSHOT build @f0342663147d9d1f5b2ec5de080d46bfd8f6bdad **

  [ Mark Egan-Fuller ]
  * Use docker for publishing.

  [ root ]

 -- Mark Egan-Fuller <mark.eganfuller@bytemark.co.uk>  Thu, 24 Jan 2019 10:06:23 +0000
